unit uArbeitsspeicher;
(* ******************************************************************** *)
(* K L A S S E : TArbeitsspeicher                                       *)
(* -------------------------------------------------------------------- *)
(* Version     : 0.9                                                    *)
(* Autor       : Iatsenko viktor, Schulz Martin                         *)
(* Beschreibung: Die Klasse ist eine Unterklasse der Komponente         *)
(*                                                                      *)
(* Compiler    : Delphi 5.0                                             *)
(* Aenderungen : 0.9	11-MAY-01                                         *)
(* ******************************************************************** *)

interface
// =======================================================================
uses
   Classes,   // import: TFilestream, read, write
   uKomponente;

   type
  TArbeitsspeicher = class(TKomponente)

    protected
    Groesse  : string[7];

   public
    constructor Create;                      override;
    procedure   Init;                        override;
    procedure   SetGroesse         (g: string);     virtual;


    function GetGroesse           : string;         virtual;

//    function IstGleich (sucharbeits : TArbeitsspeicher) : boolean; virtual;

    procedure InDateiSchreiben (var fs : TFilestream); virtual;
    procedure AusDateiLesen    (var fs : TFilestream); virtual;
  end;

 (* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse    : Komponente
Bezugsklassen : ...........      import: TKomponente


Methoden
--------

Create
  Auftrag: Arbeitsspeicher und Groesse erzeugen und initialisieren.
  vorher : --
  nachher: Objekt ist vorhanden; alle Felder sind leer.

Init
  Auftrag: Arbeitsspeicher initialisieren.
  vorher : Objekt ist vorhanden.
  nachher: Alle Felder sind leer.

SetGroesse
  Auftrag: Attribut schreiben
  vorher : Objekt ist initialisiert.
  nachher: Attribut ist gesetzt

GetGroesse
  Auftrag: Attribut aus dem Objekt lesen
  vorher : Arbeitsspeicher ist initialisiert.
  nachher: -

IstGleich (suchkomp : TKomponente)
  Auftrag: Prfen, ob Arbeitsspeicher gleich gesuchter Arbeitsspeicher ist.
  vorher : Arbeitsspeicher ist vorhanden
  nachher: IstGleich liefert True, wenn Groessen bereinstimmen

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribut auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs bergeben

AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Objekt bergeben.
--------------------------------------------------------------------- *)
implementation
// ====================================================================


constructor TArbeitsspeicher.Create;
// --------------------------------------------------------------------
begin
  inherited Create;  // was von TArbeitsspeicher kommt
  Init;
end;


procedure TArbeitsspeicher.Init;
// --------------------------------------------------------------------
begin
  inherited Init;
  Groesse   := '';
end;



procedure TArbeitsspeicher.SetGroesse         (g: string);
// --------------------------------------------------------------------
begin
  Groesse := g;
end;


function TArbeitsspeicher.GetGroesse : string;
// --------------------------------------------------------------------
begin
  Result := Groesse
end;

{
function TArbeitsspeicher.IstGleich (sucharbeits : TArbeitsspeicher) : boolean;
// --------------------------------------------------------------------
begin
  result := false;
  if sucharbeits.Typ = Typ
  then result := true
end;
}

procedure TArbeitsspeicher.InDateiSchreiben (var fs : TFilestream);
// --------------------------------------------------------------------
begin
  inherited InDateiSchreiben(Fs);
  Fs.Write( Groesse, sizeof(Groesse));
end;

procedure TArbeitsspeicher.AusDateiLesen    (var fs : TFilestream);
// --------------------------------------------------------------------
begin
  inherited AusDateiLesen(Fs);
  Fs.Read( Groesse, sizeof(Groesse));
end;


END. // -------- UNIT -------------
