unit uFestplatte;

(* ******************************************************************** *)
(* K L A S S E : TFestplatte                                            *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       : David S. und Cem C., OSZ-Handel I, 10997 Berlin        *)
(*                                                                      *)
(* Beschreibung: bildet das Objekt TK ab.                               *)
(*                                                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0  31-OKT-02                                      *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES  Classes, uKomponente;


type
   TFestplatte = class (TKomponente)
 //    private
      Groesse : string[8];
      Zugriffsgeschwindigkeit : string[20];

     public
      constructor Create;
      procedure Init;
      procedure SetGroesse                 (gro : string);
      procedure SetZugriffsgeschwindigkeit (zug : string);

      procedure InDateiSchreiben (var Fs : TFilestream);
      procedure AusDateiLesen  (var Fs : TFilestream);

      function  GetGroesse : string;
			function  GetZugriffsgeschwindigkeit : string      ;
//      function  IstGleich(tf : TFestplatte) : boolean;

   end; (* TFestplatte *)

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     :
Bezugsklassen  : TClasses - import: TFilestream, read,write


Methoden
--------

Create
  Auftrag: Objekt erzeugen und initialisieren
  vorher : -
  nachher: Groesse/ Zugriffsgeschwindigkeit ist erzeugt; alle Felder sind leer

Init
  Auftrag: Objekt Initialisieren
  vorher : -
  nachher: alle Felder sind leer

Set...
  Auftrag: Attribut schreiben
  vorher : Groesse/ Zugriffsgeschwindigkeit ist init.
  nachher: Attribut ist gesetzt

Get...
  Auftrag: Attribut aus dem Objekt lesen
  vorher : Groesse/ Zugriffsgeschwindigkeit ist init.
  nachher: -

IstGleich (suchtk : TFestplatte ) : boolean
  Anfrage: prfen, ob Tk gleich suchtk ist.
  vorher :
  nachher:

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribute auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs uebergeben


AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Pc uebergeben

----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor TFestplatte.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Init;
end;


procedure TFestplatte.Init;
(* -------------------------------------------------------------------- *)
begin
	Groesse  := '';
  Zugriffsgeschwindigkeit := '';
end;


procedure TFestplatte.SetGroesse (gro : string);
(* -------------------------------------------------------------------- *)
begin
  Groesse := gro;
end;


procedure TFestplatte.SetZugriffsgeschwindigkeit (zug : string);
(* -------------------------------------------------------------------- *)
begin
  Zugriffsgeschwindigkeit := zug;
end;


function TFestplatte.GetGroesse : string;
(* -------------------------------------------------------------------- *)
begin
  result := Groesse;
end;


function TFestplatte.GetZugriffsgeschwindigkeit : string;
(* -------------------------------------------------------------------- *)
begin
  result := Zugriffsgeschwindigkeit;
end;

{
function TFestplatte .IstGleich(tf : TFestplatte ) : boolean;
(* -------------------------------------------------------------------- *)
begin
end;
}

procedure TFestplatte.InDateiSchreiben (var Fs : TFilestream);
(* -------------------------------------------------------------------- *)
begin
   inherited InDateiSchreiben(Fs);
   Fs.write( Groesse, sizeof(Groesse));
   Fs.write( Zugriffsgeschwindigkeit, sizeof(Zugriffsgeschwindigkeit));


end;

procedure TFestplatte.AusDateiLesen (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
    inherited AusDateiLesen(Fs);
    Fs.read (Groesse, sizeoF(Groesse));
    Fs.read (Zugriffsgeschwindigkeit, sizeof(Zugriffsgeschwindigkeit));

end;

END.
