UNIT ugehaeuse;

(* ******************************************************************** *)
(* K L A S S E : TGehaeuse                                              *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       :C. Reiaus und D. Xie, OSZ-Handel I, 10997 Berlin       *)
(*                                                                      *)
(* Beschreibung: bildet das Objekt TG ab.                               *)
(*                                                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0  21-SEP-02                                      *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES  Classes,
      uKomponente;


type
   Tgehaeuse= class (TKomponente)
 //    private
      Kuehler    : string [35];
      Netzteil   : string [25];


     public
      constructor Create; override;
      procedure Init; override;
      procedure SetKuehler      (kue : string);
      procedure SetNetzteil     (Net : string);

      function  GetKuehler           : string;
      function  GetNetzteil          : string;

      procedure InDateiSchreiben (var Fs : TFilestream);  override;
      procedure AusDateiLesen  (var Fs : TFilestream);    override;
   end; (* Tgehaeuse*)

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     : TKomponente
Bezugsklassen  : TClasses - import: TFilestream, read,write


Methoden
--------

Create
  Auftrag: gehaeuse erzeugen und init.
  vorher : -
  nachher: ist vorhanden; alle Felder sind leer
Init
  Auftrag: gehaeuse mit Anfangswerten initialisieren
  vorher : Objekt ist vorhanden.
  nachher: alle Felder sind leer


SetKuehler
  Auftrag: Khler schreiben
  vorher : gehuse ist vorhanden
  nachher: Kuehler gesetzt

SetNetzteil
  Auftrag: Netzteil schreiben
  vorher : gehaeuse ist vorhanden
  nachher: Netzteil gesetzt

GetKuehler
  Auftrag: Attribut aus dem Objekt lesen
  vorher : gehaeuse ist vorhanden
  nachher:

GetNetzteil
  Auftrag: Attribut aus dem Objekt lesen
  vorher : gehaeuse ist vorhanden
  nachher:

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribute auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs uebergeben


AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Pc uebergeben


----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor Tgehaeuse.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Init;
end;


procedure Tgehaeuse.Init;
(* -------------------------------------------------------------------- *)
begin
	Kuehler   := '';
  Netzteil  := '';
end;


procedure Tgehaeuse.SetKuehler (kue : string);
// --------------------------------------------------------------------
begin
      Kuehler := kue;

end;


procedure Tgehaeuse.SetNetzteil (Net : string);
// --------------------------------------------------------------------
begin
      Netzteil := Net;
end;


function Tgehaeuse.GetKuehler  : string;
//----------------------------------------------------------------------
begin
     result := Kuehler;
end;

function TGehaeuse.GetNetzteil  : string;
//----------------------------------------------------------------------
begin
     result := Netzteil;
end;

procedure Tgehaeuse.InDateiSchreiben (var Fs : TFilestream);
(* -------------------------------------------------------------------- *)
begin
  inherited InDateiSchreiben(Fs);
  Fs.write (Kuehler, sizeoF (Kuehler));
  Fs.write (Netzteil, sizeoF (Netzteil));
end;


procedure Tgehaeuse.AusDateiLesen (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
  inherited AusDateiLesen(Fs);
  Fs.read (Kuehler, sizeoF (Kuehler));
  Fs.read (Netzteil, sizeoF (Netzteil));
end;



END.
