unit uGrafikkarte;

(* ******************************************************************** *)
(* K L A S S E : TGrafikkarte                                           *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       : David S. und Cem C., OSZ-Handel I, 10997 Berlin        *)
(*                                                                      *)
(* Beschreibung: Die Klasse Grafikkarte.                               *)
(*                                                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0  08-NOV-02                                      *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES  Classes, uKomponente;


type
   TGrafikkarte= class (TKomponente)
 //    private
      Groesse : string[8];

     public
      constructor Create;
      procedure Init;

      procedure SetGroesse (gro : string);

      function  GetGroesse : string;

      procedure InDateiSchreiben (var Fs : TFilestream);
      procedure AusDateiLesen  (var Fs : TFilestream);

 //			function  IstGleich(tg : TGrafikkarte) : boolean;


   end;     (*TGrafikkarte*)

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     : TKomponente
Bezugsklassen  : TClasses import: TFilestream, read,write


Methoden
--------

Create
  Auftrag: Objekt erzeugen und initialisieren
  vorher : -
  nachher: Grafikkarte ist erzeugt; alle Felder sind leer

Init
  Auftrag: Objekt Initialisieren
  vorher : -
  nachher: Alle Felder sind leer.

SetGroesse
  Auftrag: Groesse schreiben
  vorher : Das Objekt ist vorhanden
  nachher: Groesse ist gesetzt

GetGroesse
  Auftrag: Attribut aus dem Objekt lesen
  vorher : Groesse ist Init
  nachher: -

IstGleich (tg : TGrafikkarte) : boolean
  Anfrage: prfen, ob Tk gleich suchtk ist.
  vorher :
  nachher:

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribute auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs uebergeben


AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Pc uebergeben

----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor TGrafikkarte.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Init;
end;


procedure TGrafikkarte.Init;
(* -------------------------------------------------------------------- *)
begin
	Groesse  := '';
end;


procedure TGrafikkarte.SetGroesse (gro : string);
(* -------------------------------------------------------------------- *)
begin
  Groesse := gro;
end;


function TGrafikkarte.GetGroesse : string;
(* -------------------------------------------------------------------- *)
begin
  result := Groesse;
end;


{
function TGrafikkarte.IstGleich(tg : TGrafikkarte) : boolean;
(* -------------------------------------------------------------------- *)
begin
end;
}

procedure TGrafikkarte.InDateiSchreiben (var Fs : TFilestream);
(* -------------------------------------------------------------------- *)
begin
   inherited InDateiSchreiben(Fs);
   Fs.write (Groesse, sizeoF (Groesse));    
end;


procedure TGrafikkarte.AusDateiLesen (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
   inherited AusDateiLesen(Fs);
   Fs.read (Groesse, sizeoF (Groesse));
end;


END.
