UNIT uMotherboard;

(* ******************************************************************** *)
(* K L A S S E : TMotherboard                                             *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       : Steven Melzer + David Dangel, OSZ-Handel I,            *)
(*               10997 Berlin                                           *)
(* Beschreibung: bildet das Objekt TK ab.                               *)
(*                                                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0  07-NOV-02                                      *)
(* ******************************************************************** *)


INTERFACE
(* ========================== Export ================================== *)
USES  Classes, uKomponente;


type
   TMotherboard = class (TKomponente)
   //  private
       Bios_Version    : string[25];
       Onboard_Grafik  : boolean;
       Onboard_Sound   : boolean;
       Anschluesse     : string[35];
       CPU_Hitzeregler : string[10];


     public
      constructor Create; override;
      procedure Init;     override;
      procedure SetBios_Version    (b : string);
      function  GetBios_Version        : string;
      procedure SetOnboard_Grafik  (g : boolean);
      function  GetOnboard_Grafik      : boolean;
      procedure SetOnboard_Sound   (s : boolean);
      function  GetOnboard_Sound       : boolean;
      procedure SetAnschluesse     (an : string);
      function  GetAnschluesse         : string;
      procedure SetCPU_Hitzeregler (c : string);
      function  GetCPU_Hitzeregler     : string;

      procedure InDateiSchreiben (var Fs : TFilestream);  override;
      procedure AusDateiLesen    (var Fs : TFilestream);  override;
   end; (* TTestKlasse*)




(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     :
Bezugsklassen  : TClasses - import: TFilestream, read,write


Methoden
--------

Create
  Auftrag:
  vorher :
  nachher:

Init
  Auftrag:
  vorher :
  nachher:

Set...
  Auftrag: Attribut schreiben
  vorher :
  nachher:

Get...
  Auftrag: Attribut aus dem Objekt lesen
  vorher :
  nachher:

IstGleich (suchtk : TTestKlasse) : boolean
  Anfrage: prfen, ob Tk gleich suchtk ist.
  vorher :
  nachher:

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribute auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs uebergeben


AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Pc uebergeben

----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor TMotherboard.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Init;
end;

procedure TMotherboard.Init;
(* -------------------------------------------------------------------- *)
begin


end;

procedure TMotherboard.SetBios_Version (b: string);
(* -------------------------------------------------------------------- *)
begin
  Bios_Version := b;
end;

function TMotherboard.GetBios_Version : string;
(* -------------------------------------------------------------------- *)
begin
  result := Bios_Version;
end;


procedure TMotherboard.SetOnboard_Grafik (g: boolean);
(* -------------------------------------------------------------------- *)
begin
  Onboard_Grafik := g;
end;

function TMotherboard.GetOnboard_Grafik : boolean;
(* -------------------------------------------------------------------- *)
begin
  result := Onboard_Grafik;
end;


procedure TMotherboard.SetOnboard_Sound  (s: boolean);
(* -------------------------------------------------------------------- *)
begin
  Onboard_Sound := s;
end;

function TMotherboard.GetOnboard_Sound : boolean;
(* -------------------------------------------------------------------- *)
begin
  result := Onboard_Sound;
end;



procedure TMotherboard.SetAnschluesse (an: string);
(* -------------------------------------------------------------------- *)
begin
  Anschluesse := an;
end;

function TMotherboard.GetAnschluesse : string;
(* -------------------------------------------------------------------- *)
begin
  result := Anschluesse;
end;


procedure TMotherboard.SetCPU_Hitzeregler (c: string);
(* -------------------------------------------------------------------- *)
begin
  CPU_Hitzeregler := c;
end;

function TMotherboard.GetCPU_Hitzeregler : string;
(* -------------------------------------------------------------------- *)
begin
  result := CPU_Hitzeregler;
end;


procedure TMotherboard.AusDateiLesen (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
  inherited  AusDateiLesen(Fs);
  Fs.read( Bios_Version, sizeoF(Bios_Version));
  Fs.read( Onboard_Sound, sizeoF(Onboard_Sound));
  Fs.read( Onboard_Grafik, sizeoF(Onboard_Grafik));
  Fs.read( Anschluesse, sizeoF(Anschluesse));
  Fs.read( CPU_Hitzeregler, sizeoF(CPU_Hitzeregler));
end;

procedure TMotherboard.InDateiSchreiben (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
  inherited  InDateiSchreiben(Fs);
  Fs.write( Bios_Version, sizeoF(Bios_Version));
  Fs.write( Onboard_Sound, sizeoF(Onboard_Sound));
  Fs.write( Onboard_Grafik, sizeoF(Onboard_Grafik));
  Fs.write( Anschluesse, sizeoF(Anschluesse));
  Fs.write( CPU_Hitzeregler, sizeoF(CPU_Hitzeregler));


end;


END.

