unit uNetzwerkkarte;
 (* ******************************************************************* *)
(* K L A S S E : TNetzwerkkarte                                         *)
(* -------------------------------------------------------------------- *)
(* Version     : 0.9                                                    *)
(* Autor       : Iatsenko viktor, Schulz Martin                         *)
(* Beschreibung: Die Klasse Netzwerkkarte ist eine Unterklasse der      *)
(*               Komponente                                             *)
(* Compiler    : Delphi 5.0                                             *)
(* Aenderungen : 0.9	11-MAY-01                                         *)
(* ******************************************************************** *)

interface
  // =======================================================================
uses
   Classes,   // import: TFilestream, read, write
   uKomponente;

   type
    TNetzwerkkarte = class(TKomponente)

    protected
     Geschwindigkeit  : string[7];

   public
    constructor Create;                      override;
    procedure   Init;                        override;
    procedure   SetGeschwindigkeit (gk: string);     virtual;


    function GetGeschwindigkeit       : string;         virtual;

    function IstGleich (suchnetzw : TNetzwerkkarte) : boolean; virtual;

    procedure InDateiSchreiben (var fs : TFilestream); virtual;
    procedure AusDateiLesen    (var fs : TFilestream); virtual;
  end;

 (* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse    : Komponente
Bezugsklassen : ...........      import: TKomponente


Methoden
--------

Create
  Auftrag: Netzwerkkarte und Geschwindigkeit erzeugen und initialisieren.
  vorher : --
  nachher: Objekt ist vorhanden; alle Felder sind leer.

Init
  Auftrag: Netzwerkkarte initialisieren.
  vorher : Objekt ist vorhanden.
  nachher: Alle Felder sind leer.

SetGeschwindigkeit
  Auftrag: Attribut schreiben
  vorher : Objekt ist initialisiert.
  nachher: Attribut ist gesetzt
                            ////herrstller typ art
GetGeschwindigkeit
  Auftrag: Attribut aus dem Objekt lesen
  vorher : Netzwerkkarte ist initialisiert.
  nachher: -

IstGleich (suchkomp : TKomponente)
  Auftrag: Prfen, ob Netzwerkkarte gleich gesuchte Netzwerkkarte ist.
  vorher : Netzwerkkarte ist vorhanden
  nachher: IstGleich liefert True, wenn Geschwindigkeiten bereinstimmen

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribut auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs bergeben

AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Objekt bergeben.
--------------------------------------------------------------------- *)
implementation
// ====================================================================


constructor TNetzwerkkarte.Create;
// --------------------------------------------------------------------
begin
  inherited Create;  // was von TNetzwerkkarte kommt
  Init;

end;


procedure TNetzwerkkarte.Init;
// --------------------------------------------------------------------
begin
  inherited Init;
  Geschwindigkeit   := '';


end;



procedure TNetzwerkkarte.SetGeschwindigkeit (gk: string);
// --------------------------------------------------------------------
begin
  Geschwindigkeit := gk;

end;



function TNetzwerkkarte.GetGeschwindigkeit     : string;
// --------------------------------------------------------------------
begin
  Result := Geschwindigkeit
end;

 function TNetzwerkkarte.IstGleich (suchnetzw : TNetzwerkkarte) : boolean;
// --------------------------------------------------------------------
begin
  result := false;
  if suchnetzw.Typ = Typ
  then result := true
end;

procedure TNetzwerkkarte.InDateiSchreiben (var fs : TFilestream);
// --------------------------------------------------------------------
begin
  inherited InDateiSchreiben(Fs);
  Fs.Write( Geschwindigkeit, sizeof(Geschwindigkeit));

end;

procedure TNetzwerkkarte.AusDateiLesen    (var fs : TFilestream);
// --------------------------------------------------------------------
begin
  inherited AusDateiLesen(Fs);
  Fs.Read( Geschwindigkeit, sizeof(Geschwindigkeit));
end;


END. // -------- UNIT -------------

