UNIT UProzessor;

(* ******************************************************************** *)
(* K L A S S E : TProzessor                                             *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       : Steven Melzer + David Dangel, OSZ-Handel I,            *)
(*               10997 Berlin                                           *)
(* Beschreibung: bildet das Objekt TK ab.                               *)
(*                                                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0  07-NOV-02                                      *)
(* ******************************************************************** *)


INTERFACE
(* ========================== Export ================================== *)
USES  Classes, uKomponente;


type
//   TProzessor= class (TObject)
   TProzessor= class (TKomponente)
//     private



       MHZ        : string[7] ;

       Luefter    : string[15];


     public

      constructor Create;
      procedure Init;


      procedure SetMHZ             (m : string);
      function  GetMHZ                 : string;

      procedure SetLuefter         (l : string);
      function  GetLuefter             : string;


      procedure InDateiSchreiben (var Fs : TFilestream);
      procedure AusDateiLesen  (var Fs : TFilestream);
   end; (* TTestKlasse*)




(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     :
Bezugsklassen  : TClasses - import: TFilestream, read,write


Methoden
--------

Create
  Auftrag:
  vorher :
  nachher:

Init
  Auftrag:
  vorher :
  nachher:

Set...
  Auftrag: Attribut schreiben
  vorher :
  nachher:

Get...
  Auftrag: Attribut aus dem Objekt lesen
  vorher :
  nachher:

IstGleich (suchtk : TTestKlasse) : boolean
  Anfrage: prfen, ob Tk gleich suchtk ist.
  vorher :
  nachher:

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribute auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs uebergeben


AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Pc uebergeben

----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor TProzessor.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Init;
end;

procedure TProzessor.Init;
(* -------------------------------------------------------------------- *)
begin
       MHZ := '';

       Luefter :='';

end;


procedure TProzessor.SetMHZ (m : string);
(* -------------------------------------------------------------------- *)
begin
  MHZ := m;
end;

function TProzessor.GetMHZ : string;
(* -------------------------------------------------------------------- *)
begin
  result := MHZ;
end;

procedure TProzessor.SetLuefter (l: string);
(* -------------------------------------------------------------------- *)
begin
  Luefter := l;
end;

function TProzessor.GetLuefter : string;
(* -------------------------------------------------------------------- *)
begin
  result := Luefter;
end;

procedure TProzessor.InDateiSchreiben (var Fs : TFilestream);
(* -------------------------------------------------------------------- *)
begin
 // inherited         InDateiSchreiben (Fs);


  Fs.write              ( MHZ, sizeoF(MHZ));

  Fs.write      ( Luefter, sizeoF(Luefter));
end;

procedure TProzessor.AusDateiLesen (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
 // inherited          AusDateiLesen  (Fs);


  Fs.read              ( MHZ, sizeoF(MHZ));
  
  Fs.read      ( Luefter, sizeoF(Luefter));
end;


END.


