unit uSoundkarte;
(* ******************************************************************** *)
(* K L A S S E : TSoundkarte                                               *)
(* -------------------------------------------------------------------- *)
(* Version     : 1.0                                                    *)
(* Autor       : C. Reiaus und D. Xie, OSZ-Handel I, 10997 Berlin      *)
(*                                                                      *)
(* Beschreibung: bildet das Objekt TK ab.                               *)
(*                                                                      *)
(* Compiler    : DELPHI 6.0                                             *)
(* Aenderung   : V. 1.0  21-SEP-02                                      *)
(* ******************************************************************** *)

INTERFACE
(* ========================== Export ================================== *)
USES  Classes,
      uKomponente;

type
   TSoundkarte = class (TKomponente)
 //    private
      Ausgaenge   : string [4];
      Kanaele     : string [4];


     public
      constructor Create; override;
      procedure Init; override;
      procedure SetAusgaenge      (au : string);
      procedure SetKanaele        (ka : string);

      function  GetAusgaenge           : string;
      function  GetKanaele             : string;

			procedure InDateiSchreiben (var Fs : TFilestream);  override;
      procedure AusDateiLesen  (var Fs : TFilestream);    override;
   end; (* TSoundkarte*)

(* -------------------- B e s c h r e i b u n g -------------------------

Oberklasse     : TKomponente
Bezugsklassen  : TClasses - import: TFilestream, read,write


Methoden
--------

Create
  Auftrag: Soundka erzeugen und init.
  vorher : -
  nachher: ist vorhanden; alle Felder sind leer

Init
  Auftrag: Soundka mit Anfangswerten initialisieren
  vorher : Objekt ist vorhanden.
  nachher: alle Felder sind leer

SetAusgaenge
  Auftrag: Ausgnge schreiben
  vorher : Soundkarte ist vorhanden
  nachher: Ausgnge gesetzt

SetKanaele
  Auftrag: Kanle schreiben
  vorher : Soundka ist vorhanden.
  nachher: Kanle gesetzt

GetAusgaenge
  Auftrag: Attribut aus dem Objekt lesen
  vorher : Soundka ist vorhanden.
  nachher:

GetKanaele
  Auftrag: Attribut aus dem Objekt lesen
  vorher : Soundka ist vorhanden.
  nachher:

InDateiSchreiben (var fs : TFilestream)
  Auftrag: Attribute auf die Festplatte speichern
  vorher : fs ist geffnet
  nachher: Attribute sind an fs uebergeben


AusDateiLesen (var fs : TFilestream)
  Auftrag: Attribute von der Festplatte laden
  vorher : fs ist geffnet
  nachher: Attribute sind an Pc uebergeben

----------------------------------------------------------------------- *)

IMPLEMENTATION
(* ==================================================================== *)

constructor TSoundkarte.Create;
(* -------------------------------------------------------------------- *)
begin
  inherited Create;
  Init;
end;


procedure TSoundkarte.Init;
(* -------------------------------------------------------------------- *)
begin
	Ausgaenge   := '';
  Kanaele     := '';
end;


procedure TSoundkarte.SetAusgaenge (au : string);
// --------------------------------------------------------------------
begin
      Ausgaenge := au;

end;


procedure TSoundkarte.SetKanaele (ka : string);
// --------------------------------------------------------------------
begin
      Kanaele := ka;
end;



function TSoundkarte.GetAusgaenge  : string;
//----------------------------------------------------------------------
begin
     result := Ausgaenge;
end;

function TSoundkarte.GetKanaele  : string;
//----------------------------------------------------------------------
begin
     result := Kanaele;
end;


procedure TSoundkarte.InDateiSchreiben (var Fs : TFilestream);
(* -------------------------------------------------------------------- *)
begin
  inherited InDateiSchreiben(Fs);
  Fs.write (Ausgaenge, sizeoF (Ausgaenge));
  Fs.write (Kanaele, sizeoF (Kanaele));
end;


procedure TSoundkarte.AusDateiLesen (var Fs : TFilestream) ;
(* -------------------------------------------------------------------- *)
begin
  inherited AusDateiLesen(Fs);
  Fs.read (Ausgaenge, sizeoF (Ausgaenge));
  Fs.read (Kanaele, sizeoF (Kanaele));
end;



END.
